import React from "react";
import ReactMarkdown from "react-markdown";

const markup = `
### ✨ New Features

* Configurable custom performer scrapers
* Support looping of short videos.
* Optionally auto-start videos.
* Add scene auto-tagging from filename
* Add Play random button to scenes and scene markers page
* Allow uploading of custom scene covers
* Configurable custom scene metadata scrapers
* Add "Open Random" to performer list
* Add scenes tab to performer page
* Add version check
* Add "O-" (or "splooge-") counter
* Add external_host option

### 🎨 Improvements

* Improve scene wall layout
* Read config from current working directory before user profile directory
* Upload pull request builds to transfer.sh
* Save interface options
* Change marker time input to mm:ss
* Allow pasting image into performer/studio
* Scene UI improvements
* Update JWPlayer to 8.11.5
* Beautify scene list table
* Add responsive menu
* Make scene metadata from file metadata optional
* Add transcode seeking support to JWPlayer and remove video.js
* Allow exclusion patterns for scanning
* Support scraping from other stash instances
* Display both server address and listening address in log
* Add scene duration filter
* Add useful links to about page
* Generate a new order when selecting random sorting
* Maintain filter parameters in session
* Change thumbnail default size and resize algorithm
* Improve caching of static files and performer images
* Improve position and cropping of performer images
* Improve stats page

### 🐛 Bug fixes

* Fix importing on Windows
* Fix previews sometimes taking a long time to generate
* Fix input fields losing focus when switching between windows
* Fix VTT for chapter display in scene players
* Fix usage of Box.Bytes causing depreciation message
`;

export default () => <ReactMarkdown source={markup} />;
