import React from "react";
import ReactMarkdown from "react-markdown";

const markup = `
#### 💥 **Note: After upgrading performance will be degraded until a full [scan](/settings?tab=tasks) has been completed.**
#### 💥 **Note: [Language](/settings?tab=interface) has been set to \`English (United States)\` by default, which affects number and date formatting.**

&nbsp;
### ✨ New Features
*  Movies are now supported.
*  Responsive layout for mobile phones.
*  Add support for image scraping.
*  Allow user to regenerate scene cover based on timestamp.
*  Autoassociate galleries to scenes when scanning.
*  Configurable scraper user agent string.
*  Backup database if a migration is needed.
*  Add modes for performer/tag for bulk scene editing.
*  Add gender support for performer.
*  Add SVG studio image support, and studio image caching.
*  Enable sorting for galleries.
*  Add scene rating to scene filename parser.
*  Replace basic auth with cookie authentication.
*  Add detection of container/video_codec/audio_codec compatibility for live file streaming or transcoding.
*  Move image with cover.jpg in name to first place in Galleries.
*  Add "reshuffle button" when sortby is random.
*  Implement clean for missing galleries.
*  Add parser support for 3-letter month.
*  Add is-missing tags filter.

### 🎨 Improvements
*  Performance improvements and improved video support.
*  Support for localized text, dates and numbers.
*  Replace Blueprint with react-bootstrap.
*  Add image count to gallery list.
*  Add library size to main stats page.
*  Add slim endpoints for entities to speed up filters.
*  Export performance optimization.
*  Add random male performer image.
*  Added various missing filters to performer page.
*  Add index/total count to end of pagination buttons.
*  Add flags for performer countries.
*  Overhaul look and feel of folder select.
*  Add cache for gallery thumbnails.
*  Add changelog to start page.
*  Include subdirectories when searching for scraper configurations.
*  Add debug logging for xpath scraping to assist scraper development.
*  Encode pasted images to jpeg.
*  Allow selection of wall preview type: video, animated image and static image.
*  Localize dates and numbers.

### 🐛 Bug fixes
*  Update performer image in UI when it's replaced.
*  Fix performer height filter.
*  Fix error when viewing scenes related to objects with illegal characters in name.
*  Make ethnicity freetext and fix freeones ethnicity panic.
*  Delete marker preview on marker change or delete.
*  Include scene o-counter in import/export.
*  Make image extension check in zip files case insensitive.
*  Fix incorrect stash directory setting when directory has spaces.
*  Update built-in Freeones scraper for new API.
*  Fix redirect loops in login, migrate and setup pages.
*  Make studio, movies, tag, performers scrape/parser matching case insensitive.
*  Fix files with special characters in filename not being scanned.

`;

export default () => <ReactMarkdown source={markup} />;
